#############################################################################
#
# Apache::Session::DBI::Sybase
# Apache persistent user sessions in a DBI::Sybase database
#
# Copyright(c) 1999 Mark Landry (mdlandry@lincoln.midcoast.com)
# Derived from work done by Jeffrey William Baker (jeffrey@kathyandjeffrey.net)
# Distribute under the Artistic License
#
############################################################################

=head1 NAME

Apache::Session::DBI::Sybase - Session persistence via DBI and
DBD::Sybase

=head1 SCHEMA

To use this module, you will need these columns in a Sybase table 
called 'sessions' in your default database:

 id char(16)
 length int
 a_session image

=cut

package Apache::Session::DBI::Sybase;

use strict;
use vars qw(@ISA);

@ISA = qw(Apache::Session::DBI);

use Apache::Session::DBI;
use Apache::Session::NullLocker;
use Apache::Session::DBIStore;

sub get_object_store {
    my $self = shift;

    return new Apache::Session::DBIStore::Sybase $self;
}

sub get_lock_manager {
    my $self = shift;
    
    return new Apache::Session::NullLocker $self;
}

1;
